;This file contains a list of devices used for Bluetooth auto-connect.

;The description header is a description shown only through DFU.

;Device types are
;1=Keyboard
;2=Mouse
;3=Dongle

;Required is
;0=Not required
;1=Required in HCI mode, so inform user if not connected.

;RequiredHidKB 
;0=Keyboard is not required in HID mode.
;1=Keyboard is required in HID mode before the dongle will switch to HCI mode

;RequiredHidMS 
;0=Mouse is not required in HID mode.
;1=Mouse is required in HID mode before the dongle will switch to HCI mode.

;Device descriptions are localized. The number indicates the Resource ID in the localized resources.
;You can use a normal text description if you do not need to localize text.

ReportID = This is a HID report ID used for the Switcher App. Do not modify unless told.

;VIDHCI = The vendor ID in hex of the device when the dongle is in HCI mode. 
;	  This is devices vendor ID not the dongle.
;PIDHCI = The Product ID in hex of the device when the dongle is in HCI mode. 
;	  This is devices product ID not the dongle.

;VIDHID = The vendor ID in hex of the dongle in HID mode. 
;PIDDFU = The Product ID in hex of the dongle in DFU mode. 
;PIDHID = The Product ID in hex of the composite device when the dongle is in HID mode. 
;PIDHIDMS = The Product ID in hex of the mouse device in HID mode only for dongle types.
;PIDHIDKB = The Product ID in hex of the keyboard device in HID mode only for dongle types.

;DFU
;DFUFILE = Name of dfu file used for firmware upgrade.
;Logo = Name of image file to display in the left hand side of dfu status dialog.
;Message = Message to display to user in the dfu status dialog.
;DFUDriver= file name of the DFU driver to use. It is relative to the DFU.exe directory.

;A semicolon is used for commenting out text.
;Enter your devices below.
 
[Dell Eastfold Dongle]
Manufacturer=Dell
Description=3003
DeviceType=3
RequiredHidKB=1
RequiredHidMS=0
ReportID=1
VIDHID=413c
VIDHCI=413c
PIDHIDMS=8121
PIDHIDKB=8121
PIDHID=8121
PIDHCI=8120
PIDDFU=8122
DFUFILE=Dell_413c_8120.dfu

[Dell Eowyn Dongle]
Manufacturer=Dell
Description=3007
DeviceType=3
RequiredHidKB=0
RequiredHidMS=0
ReportID=0
VIDHID=413c
VIDHCI=413c
PIDHIDMS=8105
PIDHIDKB=8105
PIDHID=8105
PIDHCI=8103
PIDDFU=8106
DFUFILE=Dell_413c_8103.dfu

[Dell Wireless 360 Bluetooth Module]
Manufacturer=Dell
Description=Dell Wireless 360 Bluetooth Module 
DeviceType=3
RequiredHidKB=0
RequiredHidMS=0
ReportID=0
VIDHID=413c
VIDHCI=413c
PIDHIDMS=8141
PIDHIDKB=8141
PIDHID=8141
PIDHCI=8140
PIDDFU=8142
DFUFILE=Dell_413c_8140.dfu


[DFU]
Logo=VendorImage.bmp
Message=145
DFUDriver=\driver\csrusb.inf

